Status: Closed

Priority: Normal

Assignee: Victor Olaya

Category: Processing/Core

Affected QGIS version:master Regression?: No

Operating System: Ubuntu 17.10 Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 26070

Description

In my Processing Provider plugin I have an integer setting:

setting = Setting('MY_PROVIDER',

            'max_values',

             self.tr("Maximum values"),

             default=500,

             valuetype=Setting.INT)

ProcessingConfig.addSetting(setting)

When opening the Processing Settings dialog, this setting displays with no issue, but attempting to change the value raises the following

exception:

AttributeError: 'QgsSpinBox' object has no attribute 'setText' 

Traceback (most recent call last):

  File "/usr/share/qgis/python/plugins/processing/gui/ConfigDialog.py", line 404, in setEditorData

    editor.setText(value)

AttributeError: 'QgsSpinBox' object has no attribute 'setText'

Python version: 3.6.3 (default, Oct  3 2017, 21:45:48) [GCC 7.2.0] 

QGIS version: 2.99.0-Master Master, 585a4d3

Associated revisions

Revision 75a9150a - 2018-02-23 01:43 AM - Nyall Dawson

[processing] Fix config exception with INT/FLOAT settings

Fixes #18179

History

#1 - 2018-02-23 01:42 AM - Nyall Dawson

- Status changed from Open to In Progress

#2 - 2018-02-23 07:35 AM - Nyall Dawson

- % Done changed from 0 to 100

- Status changed from In Progress to Closed

2024-04-24 1/2



Applied in changeset commit:qgis|75a9150a417071782816d6ed99f3779991cbd611.

#3 - 2018-02-23 10:32 AM - Giovanni Manghi

- Resolution set to fixed/implemented
